Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.context
Interface LifecycleProcessor

All Superinterfaces:
  Lifecycle

All Known Implementing Classes:
  DefaultLifecycleProcessor

    public interface LifecycleProcessor

extends Lifecycle

Strategy interface for processing Lifecycle beans within the ApplicationContext.

Since:
  3.0
Author:
  Mark Fisher, Juergen Hoeller

Method Summary
`void` | `onClose()` Notification of context close phase, e.g.
`void` | `onRefresh()` Notification of context refresh, e.g.

Methods inherited from interface org.springframework.context.Lifecycle
`isRunning, start, stop`

Method Detail

### onRefresh

    void onRefresh()

  Notification of context refresh, e.g. for auto-starting components.

### onClose

    void onClose()

  Notification of context close phase, e.g. for auto-stopping components.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD